mysql_import_combined_log.pl(1)

NAME
mysql_import_combined_log.pl - Imports an Apache combined log into a MySQL database.

SYNOPSIS
mysql_import_combined_log.pl -d <database name> -t <table name> [-h <host name>] [-u <user name>] [-p <password>] [-f <filename>]

OPTIONS

--host|-h <host name>

    The host to connect to. Default is localhost.

--database|-d <database name>

    The database to use. Required.

--username|-u <username>

    The user to connect as.

--password|-p <password>

    The user's password.

--table|-t <table name>

    The name of the table in which to insert data.

--logfile|-f <file name>

    The file to read from. If not given, data is read from stdin.

--help|-?

    Print out this help message.

--version

    Print out the version of this software.

AUTHOR

Aaron Jenson

Updated to work under Perl 5.6.1 by Edward Rudd

MAN PAGE CREATED BY
Michael A. Toth <lirul.lists@gmail.com> - based on content of script

COMMENTS

This man page was written using xml2man (1) by the same author.